import { apiWaypointEntity } from "./apiwaypoint/waypointEntity.js"
import { world, Dimension, Player } from "@minecraft/server"
import { apiInfo } from "./apiInfo.js"

export const apiOrganize = new class apiOrganize {
    organize(list){
        const waypoints = list
        return waypoints.sort((a, b) => { return a.id.localeCompare(b.id)})
    }

    sameNames(name, waypoints, index){
        const waypointsName = waypoints.map(obj => obj.id)
        let newName = name
        if(index) waypointsName.splice(index, 1)
        let counter = 1
        while(waypointsName.includes(newName)){
            newName = `${name} (${counter})`
            counter++
        }
        return newName
    }
}